﻿/*General*/

.interiorBannerContainer .btn-row .has-sibling {
    margin-right: 10px;
}

.interiorBannerContainer .btn-row {
    margin-top: 25px;
}

.interiorBannerContainer ul li {
    font-size: 23px;
    line-height: 28px;
}

/*Variation 1*/

.variation-one {
    position: relative;
    min-height: 465px;
    overflow: hidden;
}

.variation-one .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 70%;
    height: 100%;
    z-index: 2;
    background: linear-gradient(to right, var(--darkest-grey), var(--darkest-grey) 48%, rgba(var(--darkest-grey-rgb), 1) 65%, rgba(var(--darkest-grey-rgb), 0.95) 81%, rgba(var(--darkest-grey-rgb), 0.00) 100%);
}

.variation-one::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 56%;
    height: 100%;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    z-index: 1;
}

.variation-one .align-center {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    z-index: 3;
}

.variation-one h1 {
    color: white;
}

.variation-one h1.maintitle.no-subtitle {
    margin-top: 0px;
}

.variation-one h1.maintitle span.small {
    font-size: 36px;
    margin-left: 7px;
    line-height: 36px;
    color: white;
}

.variation-one p.subtitle {
    color: var(--massage-green);
    margin-bottom: 0px;
    font-size: 29px;
    line-height: 33px;
}

.variation-one h1.maintitle.has-subtitle {
    margin-top: 5px;
}

.variation-one .description > * {
    color: white;
}

.variation-one .bottom-logo {
    position: absolute; 
    right: 0;
    bottom: 0;
    background: var(--dark-grey);
    padding: 18px 23px 15px;
    border-radius: 30px 0px 0px 0px;
}

.variation-one .bottom-logo img {
    max-width: 190px;
}

.variation-one .price-line {
    position: absolute;
    top: 0;
    right: 0;
    background: var(--massage-green);
    aspect-ratio: 1 / 1;
    padding: 15px;
    text-align: center;
    border-radius: 50% 0% 50% 50%;
    width: 245px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    box-shadow: 0 0px 32px rgba(0,0,0,0.25);
}

.variation-one .price-line .price-tile {
    font-size: 27px;
    line-height: 30px;
    font-weight: 500;
    margin-bottom: 5px;
}

.variation-one .price-line .price {    
    font-size: 55px;
    line-height: 58px;
    font-weight: 900;
    display: flex;
    align-items: center;
}

.variation-one .price-line .price .dollar-sign { 
    font-size: 33px;
    line-height: 33px;
    align-self: baseline;
    margin-top: 5px;
    margin-right: 5px;
}

.variation-one .price-line .price .price-last-three { 
    font-size: 33px;
    line-height: 33px;
}

.variation-one .price-line .price-subtext {
    font-size: 16px;
    line-height: 18px;
    margin-top: 7px;
    padding: 0px 13px;
}

/*Membership bar styles*/

.membership-callout-section-wrapper {
    position: absolute;
    z-index: 500;
    left: 0;
    right: 0;
    bottom: -125px;
}

.membership-callout-section-wrapper .grey-bg {
    background: #F5F4F4;
    border-radius: 0px 25px;
    padding: 25px 50px;
}

.membership-callout-section-wrapper .membership-price-block {
    border: 3px solid var(--massage-green);
    border-radius: 0px 25px;
    background: #ffffff;
    text-align: center;
    padding: 20px 5px;
}

.membership-callout-section-wrapper .location-search {
    width: 400px;
}

.membership-callout-section-wrapper p.membership-title {
    font-size: 23px;
    line-height: 31px;
    font-weight: 500;
    margin-bottom: 20px;
}

.membership-callout-section-wrapper p.membership-price-title {
    margin-bottom: 6px;
}

.membership-callout-section-wrapper p.membership-price {
    font-size: 34px;
    line-height: 38px;
    font-weight: 900;
    margin-bottom: 0px;
}

.membership-callout-section-wrapper .grey-bg .row {
    display: flex;
    align-items: center;
}

.membership-callout-section-wrapper .subtext-wrapper p {
    margin-bottom: 0;
    margin-top: 10px;
    text-align: center;
    color: var(--dark-grey);
}

.interiorBannerContainer.variation-one.has-membership-banner {
    margin-bottom: 175px;
    overflow: visible;
}

.membership-price-block sup {
    top: -.5em;
    font-size: 55%;
}

/*Variation 2*/
.variation-two {
    min-height: 270px;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}

.variation-two .overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(var(--darkest-grey-rgb), 0.65);
    display: flex;
    align-items: center;
}

.variation-two p.subtitle {
    color: var(--massage-green);
    margin-bottom: 0px;
    font-size: 29px;
    line-height: 33px;
    font-weight: 800;
}

.variation-two h1 {
    color: white;
}

.variation-two h1.maintitle.no-subtitle {
    margin-top: 0px;
}

.variation-two h1.maintitle.no-buttons {
    margin-bottom: 0px;
}

.variation-two h1.maintitle.has-subtitle {
    margin-top: 5px;
}

.interiorBannerContainer.variation-two .btn-row {
    margin-top: 15px!important;
}

/*Variation 3*/

.variation-three {
    min-height: 500px;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}

@media (min-width: 767px) {
    .interiorBannerContainer.variation-three.uses-clinic-components {
        min-height: 400px;
    }
}

.variation-three .align-center {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    z-index: 3;
}

.variation-three .overlay {
    background: rgba(var(--darkest-grey-rgb), 0.85);
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: auto;
    width: 47%;
}

.variation-three h1.maintitle {
    color: var(--massage-green);
    margin-bottom: 0px;
}

.variation-three h1.maintitle.has-subtitle {
    margin-top: 5px;
}

.variation-three .subtitle {
    color: #ffffff;
    margin-bottom: 0px;
    font-size: 29px;
    line-height: 33px;
    font-weight: 800;
}

.variation-three-fields p {
    color: #ffffff;
}

.variation-three-fields p i {
    color: var(--massage-green);
    margin-right: 10px;
}

.variation-three-fields p a {
    font-weight: 400;
}

.variation-three-fields p a:hover {
    color: var(--massage-green);
}

.variation-three .variation-three-fields {
    margin-top: 25px;
    margin-bottom: 30px;
}

.variation-three .bottom-logo {
    position: absolute;
    left: 0;
    bottom: 0;
    background: var(--dark-grey);
    padding: 18px 23px 15px;
    border-radius: 0px 30px 0px 0px;
}

.variation-three .bottom-logo img {
    max-width: 190px;
}

/* Booking Page Update (Client requested smaller height) */

.booking-page-wrapper .interiorBannerContainer.variation-three .variation-three-fields {
    margin-bottom: 0px;
}

@media (min-width: 767px) {
    .booking-page-wrapper .interiorBannerContainer.variation-three {
        min-height: 300px;
    }
}

/* Variation 1 - Wider Image */

@media (min-width: 1200px) {
    .interiorBannerContainer.variation-one.wider-image::after {
        width: 75%;
    }

    .interiorBannerContainer.variation-one.wider-image .overlay {
        width: 51%;
    }
}

/*Media Queries*/

@media (min-width: 1200px) and (max-width: 1366px) {

    /*Membership Banner*/

    .membership-callout-section-wrapper p.membership-title {
        font-size: 20px;
        line-height: 28px;
        margin-bottom: 15px;
    }

    .membership-callout-section-wrapper p.membership-price-title {
        margin-bottom: 1px;
        font-size: 15px;
        line-height: 24px;
    }

    .membership-callout-section-wrapper p.membership-price {
        font-size: 31px;
        line-height: 35px;
    }

    .membership-callout-section-wrapper .subtext-wrapper p {
        font-size: 15px;
        line-height: 24px;
    }

}

@media (min-width: 992px) and (max-width: 1199px) {

    /*Variation 1*/

    .variation-one .price-line {
        width: 220px;
    }

    .variation-one .bottom-logo img {
        max-width: 150px;
    }

    /*Variation 3*/

    .variation-three .bottom-logo img {
        max-width: 145px;
    }

    .variation-three {
        min-height: 425px;
    }

    .variation-three .subtitle {
        font-size: 24px;
        line-height: 24px;
    }

    /*Membership Banner*/

    .membership-callout-section-wrapper p.membership-title {
        font-size: 20px;
        line-height: 28px;
        margin-bottom: 15px;
    }

    .membership-callout-section-wrapper p.membership-price-title {
        margin-bottom: 1px;
        font-size: 15px;
        line-height: 24px;
    }

    .membership-callout-section-wrapper p.membership-price {
        font-size: 31px;
        line-height: 35px;
    }

    .membership-callout-section-wrapper .subtext-wrapper p {
        font-size: 15px;
        line-height: 24px;
    }

    .membership-callout-section-wrapper .location-search {
        width: 310px;
    }

    .membership-callout-section-wrapper .grey-bg {
        padding: 25px 25px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {

    .interiorBannerContainer ul li {
        font-size: 21px;
        line-height: 26px;
    }

    /*Variation 1*/

    .variation-one .price-line {
        width: 220px;
    }

    .variation-one .bottom-logo img {
        max-width: 150px;
    }

    /*Variation 3*/

    .variation-three .overlay {
        width: 54%;
    }

    .variation-three .bottom-logo img {
        max-width: 145px;
    }

    .variation-three {
        min-height: 425px;
    }

    .variation-three .subtitle {
        font-size: 24px;
        line-height: 24px;
    }

    .interiorBannerContainer .btn-row .has-sibling {
        margin-right: 0px;
        margin-bottom: 10px;
    }

    /*Membership Banner*/

    .membership-callout-section-wrapper p.membership-title {
        font-size: 18px;
        line-height: 22px;
        margin-bottom: 15px;
    }

    .membership-callout-section-wrapper p.membership-price-title {
        margin-bottom: 4px;
        font-size: 15px;
        line-height: 18px;
    }

    .membership-callout-section-wrapper p.membership-price {
        font-size: 27px;
        line-height: 30px;
    }

    .membership-callout-section-wrapper .subtext-wrapper p {
        font-size: 15px;
        line-height: 24px;
    }

    .membership-callout-section-wrapper .location-search {
        width: 310px;
    }

    .membership-callout-section-wrapper .grey-bg {
        padding: 25px 25px;
    }
}

@media (min-width: 500px) and (max-width: 767px) {

    /*Variation 1*/

    .variation-one.has-price-bubble {
        min-height: 460px!important;
    }

    .interiorBannerContainer.variation-one.shorter-mobile-banner .align-center {
        position: relative;
        padding-bottom: 30px;
    }

    .interiorBannerContainer.variation-one.shorter-mobile-banner {
        min-height: auto!important;
    }

    .interiorBannerContainer.variation-one.has-price-bubble.shorter-mobile-banner .align-center {
        padding-bottom: 180px;
        padding-top: 55px;
    }

}

@media (max-width: 767px) {

    .interiorBannerContainer.vertically-align-banner .align-center {
        display: flex;
        align-items: center;
        padding-top: 0px;
    }

    /*Variation 1*/

    .interiorBannerContainer.variation-one.shorter-mobile-banner .align-center {
        position: relative;
        padding-bottom: 30px;
    }

    .interiorBannerContainer.variation-one.shorter-mobile-banner {
        min-height: auto;
    }

    .interiorBannerContainer.variation-one.has-price-bubble.shorter-mobile-banner .align-center {
        padding-bottom: 180px;
        padding-top: 55px;
    }

    .variation-one .bottom-logo {
        background: none;
        left: 0;
    }

    .variation-one .bottom-logo img {
        width: 150px;
    }

    .variation-one .overlay {
        background: rgba(var(--darkest-grey-rgb), 0.75);
        width: 100%;
    }

    .variation-one::after {
        width: 100%;
    }

    .variation-one .price-line {
        top: unset;
        bottom: 0;
        border-radius: 50% 50% 0% 50%;
        width: 180px;
    }

    .variation-one .align-center {
        align-items: flex-start;
        padding-top: 30px;
    }

    .variation-one .price-line .price-subtext {
        margin-top: 0px;
        padding: 0px 10px 0px 16px;
        font-size: 14px;
        line-height: 15px;
    }

    .variation-one .price-line .price-tile {
        font-size: 22px;
        line-height: 25px;
        margin-bottom: 0px;
    }

    .variation-one .price-line .price .dollar-sign {
        font-size: 27px;
        line-height: 27px;
        margin-right: 1px;
        margin-top: 8px;
    }

    .variation-one .price-line .price .price-last-three {
        font-size: 27px;
        line-height: 27px;
    }

    .variation-one .price-line .price {
        font-size: 48px;
        line-height: 51px;
    }

    .variation-one.has-price-bubble {
        min-height: 525px;
    }

    .variation-one .align-center .container {
        margin-left: 15px;
        margin-right: 15px;
        width: 100%;
    }

    /*Variation 2*/

    .interiorBannerContainer.variation-two.shorter-mobile-banner {
        height: auto;
        min-height: auto;
    }

    .interiorBannerContainer.variation-two.shorter-mobile-banner .overlay {
        position: relative;
        padding: 30px 0px;
    }

    .variation-two {
        min-height: 320px;
    }

    .variation-two .container {
        margin-left: 15px;
    }

    /*Variation 3*/

    .variation-three .bottom-logo {
        background: none;
    }

    .variation-three .bottom-logo img {
        width: 150px;
    }

    .variation-three .overlay {
        width: 100%;
    }

    .variation-three .align-center {
        position: relative;
    }

    .variation-three {
        min-height: unset;
    }

    .variation-three .container {
        margin-left: 15px;
        margin-right: 15px;
        width: 100%;
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .interiorBannerContainer.variation-three.has-bottom-logo .container {
        padding-bottom: 90px;
    }

    .variation-three .subtitle {
        font-size: 22px;
        line-height: 20px;
    }

    .variation-three .btn-row a {
        width: 100%;
        text-align: center;
    }

    .interiorBannerContainer .btn-row .has-sibling {
        margin-right: 0px;
        margin-bottom: 10px;
    }

    /*Membership Banner*/

    .membership-callout-section-wrapper p.membership-title {
        font-size: 18px;
        line-height: 22px;
        margin-bottom: 15px;
    }

    .membership-callout-section-wrapper p.membership-price-title {
        margin-bottom: 4px;
        font-size: 15px;
        line-height: 18px;
    }

    .membership-callout-section-wrapper p.membership-price {
        font-size: 27px;
        line-height: 30px;
    }

    .membership-callout-section-wrapper .subtext-wrapper p {
        font-size: 15px;
        line-height: 24px;
    }

    .membership-callout-section-wrapper .location-search {
        width: 100%;
        margin-bottom: 15px;
    }

    .membership-callout-section-wrapper .grey-bg {
        padding: 15px 25px;
    }

    .membership-callout-section-wrapper .grey-bg .row {
        display: block;
    }

    .membership-callout-section-wrapper p.membership-title {
        font-size: 20px;
        line-height: 24px;
        margin-bottom: 15px;
        text-align: center;
    }

    .membership-callout-section-wrapper .price-row .col-xs-6:nth-of-type(1) {
        padding-right: 7px;
    }

    .membership-callout-section-wrapper .price-row .col-xs-6:nth-of-type(2) {
        padding-left: 7px;
    }

    .membership-callout-section-wrapper .price-row .col-xs-6 .membership-price-block {
        padding: 10px 5px;
    }

    .membership-callout-section-wrapper .price-row .col-xs-6:nth-of-type(2) .membership-price-block {
        border-radius: 25px 0px;
    }

    .membership-callout-section-wrapper {
        bottom: -175px;
    }

    .interiorBannerContainer.variation-one.has-membership-banner {
        margin-bottom: 210px;
    }

    .interiorBannerContainer.variation-one.has-membership-banner .align-center {
        padding-top: 50px;
    }
}

@media (max-width: 425px) {
    .membership-callout-section-wrapper {
        bottom: -215px;
    }

    .interiorBannerContainer.variation-one.has-membership-banner {
        margin-bottom: 250px;
    }
}